## org.springframework.http.server
Interface ServerHttpRequest

All Superinterfaces:
  HttpInputMessage, HttpMessage

All Known Implementing Classes:
  ServletServerHttpRequest

    public interface ServerHttpRequest

extends HttpInputMessage

Represents a server-side HTTP request.

Since:
  3.0
Author:
  Arjen Poutsma

Method Summary
`HttpMethod` `getMethod()` Return the HTTP method of the request.
`URI` `getURI()` Return the URI of the request.

Methods inherited from interface org.springframework.http.HttpInputMessage
`getBody`

Methods inherited from interface org.springframework.http.HttpMessage
`getHeaders`

Method Detail

### getMethod

    HttpMethod getMethod()

  Return the HTTP method of the request.

  Returns:
    the HTTP method as an HttpMethod enum value

### getURI

    URI getURI()

  Return the URI of the request.

  Returns:
    the URI of the request